Subject: Re: [Ecrit] RFC 5031 text modification suggestion [was: Draft new version: draft-holmberg-ecrit-country-emg-urn-01]

From: Christer Holmberg <[email-masked]>
Date: Sat, 2 Mar 2013 11:51:52 +0000

Hi,

I've generated a new version (-02) of draft-holmberg-ecrit-country-emg-urn, which now updates section 4.2 of RFC 5031.

As the draft submission window is closed at the moment, I can't submit it to IETF, but it can be found at:

http://users.piuha.net/cholmber/drafts/draft-holmberg-ecrit-country-emg-urn-02-noSubmit.txt

Regards,

Christer

---

From: John-Luc Bakker <[email-masked]>
Date: Wed, 6 Mar 2013 20:30:41 +0000

Hi,

This draft excludes the country specific extension as originally proposed in draft-holmberg-ecrit-country-emg-urn-01.
Without a country specific extension, any countries' regulator would have to bring a proposal to the IANA to have a URN for their "new and different" emergency service.

This may be undesirable from a regulator's perspective, reduce the country's perception of sovereignty, and hinder the adoption of the specifications that depend on the RFC.

While I have no problems with exploring possible modifications to the policy that governs the registering of emergency URNs, I continue to support the original proposal to allow for "regulator jurisdiction" specific URNs.

Kind regards,

	John-Luc

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Saturday, March 02, 2013 5:52 AM
To: Richard Barnes
Cc: [email-masked]
Subject: Re: [Ecrit] RFC 5031 text modification suggestion [was: Draft new version: draft-holmberg-ecrit-country-emg-urn-01]

Hi,

Regards,

Christer
_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit

---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 6 Mar 2013 15:53:49 -0500

It is not obvious to me that there is a natural entity that would manage country-specific URNs in many places. For example, emergency services in the US are managed by states and sometimes counties (or multiple counties). If a state wants to set up a special number for turkey disasters on Thanksgiving or to report illegal garage sales, I don't think a national regulator (say, the FCC) is going to keep that from happening or even get involved. These semi-emergency services are often very regional, given that they depend on very specific local circumstances. Thus, if you want to allow such very narrow public services, you're probably talking county-level and below, not country.

From a user interface perspective, I'm not sure how well a proliferation of services that have similar functions and different names would work. In general, there has been a tendency towards fewer user-facing services, with 211 (social services), 311 (non-emergency services) and 911 as examples in the US.

---

From: Richard Barnes <[email-masked]>
Date: Wed, 6 Mar 2013 20:54:37 -0500

How do regulators get IP addresses?  Or telephone numbers?

This is not a reduction in sovereignty -- they can freely use non-standard
URIs.  It's just that they won't interoperable with the rest of the world
if they choose to their own way instead of doing what everyone else has
agreed to do.

On Wednesday, March 6, 2013, John-Luc Bakker wrote:

> Hi,
>
> This draft excludes the country specific extension as originally proposed
> in draft-holmberg-ecrit-country-emg-urn-01.
> Without a country specific extension, any countries' regulator would have
> to bring a proposal to the IANA to have a URN for their "new and different"
> emergency service.
>
> This may be undesirable from a regulator's perspective, reduce the
> country's perception of sovereignty, and hinder the adoption of the
> specifications that depend on the RFC.
>
> While I have no problems with exploring possible modifications to the
> policy that governs the registering of emergency URNs, I continue to
> support the original proposal to allow for "regulator jurisdiction"
> specific URNs.
>
> Kind regards,
>
>         John-Luc
>
> From: [email-masked] <javascript:;> [mailto:[email-masked]<javascript:;>]
> On Behalf Of Christer Holmberg
> Cc: [email-masked] <javascript:;>
> Subject: Re: [Ecrit] RFC 5031 text modification suggestion [was: Draft new
> version: draft-holmberg-ecrit-country-emg-urn-01]
>
>
> Hi,
>
> I've generated a new version (-02) of
> draft-holmberg-ecrit-country-emg-urn, which now updates section 4.2 of RFC
> 5031.
>
> [email-masked] <javascript:;>
> This transmission (including any attachments) may contain confidential
> information, privileged material (including material protected by the
> solicitor-client or other applicable privileges), or constitute non-public
> information. Any use of this information by anyone other than the intended
> recipient is prohibited. If you have received this transmission in error,
> please immediately reply to the sender and delete this information from
> your system. Use, dissemination, distribution, or reproduction of this
> transmission by unintended recipients is not authorized and may be unlawful.
>

---

From: John-Luc Bakker <[email-masked]>
Date: Thu, 7 Mar 2013 03:05:40 +0000

Hi,

That seems to be the problem, the requirement to have everybody agree to a URN before it can be used in a set of networks part of the regulator's jurisdiction.

A service URN is NOT intended to be entered by a user via the keypad, so a user is unlikely to be confused if the URN contains e.g. a country code. If later a URN is reserved via RFC5031 procedures then two URNs can be used in that country to identify the particular emergency services offered by the PSAP.

There seems no downside to enabling country specific URNs as originally proposed in this internet draft, it adds flexibility and timeliness.

Regards,

John-Luc

Sent from my BlackBerry 10 smartphone.

From: Richard Barnes
Sent: Wednesday, March 6, 2013 7:54 PM
To: John-Luc Bakker
Cc: Christer Holmberg; [email-masked]
Subject: Re: [Ecrit] RFC 5031 text modification suggestion [was: Draft new version: draft-holmberg-ecrit-country-emg-urn-01]

This is not a reduction in sovereignty -- they can freely use non-standard URIs.  It's just that they won't interoperable with the rest of the world if they choose to their own way instead of doing what everyone else has agreed to do.

Kind regards,

        John-Luc

-----Original Message-----
From: [email-masked]<javascript:;> [mailto:[email-masked]<javascript:;>] On Behalf Of Christer Holmberg
Sent: Saturday, March 02, 2013 5:52 AM
To: Richard Barnes
Cc: [email-masked]<javascript:;>
Subject: Re: [Ecrit] RFC 5031 text modification suggestion [was: Draft new version: draft-holmberg-ecrit-country-emg-urn-01]

Hi,

Regards,

Christer
_______________________________________________
Ecrit mailing list
[email-masked]<javascript:;>
https://www.ietf.org/mailman/listinfo/ecrit

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 6 Mar 2013 22:38:17 -0500

This seems to solve a hypothetical problem, namely that registration of a "global" URN is somehow too cumbersome. We have no such cases to judge, so the downside, namely duplication of the same services under multiple country-specific name and the absence of national entities to police this, remains. If IANA gets a registration request for such a country-specific service, submitted by Washington County, MD, whom should it contact to validate that the person submitting the registration is authorized to speak for the county and that the state and country implicated approves of that service? Should it mediate if two counties submit similar-sounding services under different names? Or adjudicate if the state of Maryland then decides that this registration was a bad idea? In the US, should FEMA, NTIA, DOT or the FCC be allowed to register new URNs?

In my current day job, conflicts between jurisdictions or agencies are not uncommon. (We have had historical issues with conflicts about ccTLD administrators, if you want another example.)

Henning